[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TParams.AddParam

Add a parameter to the collection

## Declaration

Source position: db.pas line 1234

`public procedure TParams.AddParam(`
`Value: TParam`
`);`

## Arguments

`Value` |  | TParam instance to add to the collection.

## Description

AddParam adds Value to the collection.

## Errors

No checks are done on the TParam instance. If it is Nil, an exception will be raised.

## See also

TParam |  | Parameter description class
#rtl.classes.tcollection.add

Documentation generated on: Feb 26 2014